%define name epydoc
%define version 3.0.1
%define release %mkrel 5

Summary: Edward Loper's API Documentation Generation Tool
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.dl.sourceforge.net/sourceforge/epydoc/%{name}-%{version}.tar.gz
License: IBM Open Source License
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
Url: http://epydoc.sourceforge.net/
%py_requires -d
Requires: tkinter

%description
Epydoc is a tool for generating API documentation for Python modules,
based on their docstrings. A lightweight markup language called
epytext can be used to format docstrings, and to add information about
specific fields, such as parameters and instance variables. Epydoc
also understands docstrings written in ReStructuredText, Javadoc, and
plaintext.


%prep
%setup -q

%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root=$RPM_BUILD_ROOT
mkdir -p %buildroot%_mandir/man1
install -m 644 man/*.1 %buildroot%_mandir/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt doc/
%_bindir/epydoc
%_bindir/epydocgui
%_bindir/apirst2html.py
%_mandir/man1/*
%py_puresitedir/*




%changelog
* Thu Sep 10 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.0.1-5mdv2010.0
+ Revision: 437481
- rebuild

* Thu Dec 25 2008 Funda Wang <fundawang@mandriva.org> 3.0.1-4mdv2009.1
+ Revision: 318948
- rebuild for new python

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0.1-3mdv2009.0
+ Revision: 244930
- rebuild

* Tue Feb 05 2008 Götz Waschk <waschk@mandriva.org> 3.0.1-1mdv2008.1
+ Revision: 162561
- new version

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 3.0-1mdv2008.1
+ Revision: 160648
- new version
- update file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.1-5mdv2007.0
+ Revision: 88342
- Import epydoc

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.1-5mdv2007.1
- update file list

* Fri Aug 25 2006 Gtz Waschk <waschk@mandriva.org> 2.1-4mdv2007.0
- spec fixes

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 2.1-3mdk
- Rebuild

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 2.1-2mdk
- Rebuild for new python

* Thu Oct 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1-1mdk
- initial package

